Package org.eclipse.birt.chart.model.attribute.impl

# Class DataPointImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.DataPointImpl

All Implemented Interfaces:
  `DataPoint`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DataPointImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements DataPoint
An implementation of the model object ' Data Point'.

The following features are implemented:

- `Components`
- `Prefix`
- `Suffix`
- `Separator`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`DataPoint`
`copyInstance()`
`static final DataPoint`
`create(String sPrefix, String sSuffix, String sSeparator)`
A convenience methods provided to create an initialized DataPoint instance NOTE: Manually written
`static final DataPoint`
`createDefault()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<DataPointComponent>`
`getComponents()`
`String`
`getPrefix()`
`String`
`getSeparator()`
`String`
`getSuffix()`
`void`
`setPrefix(String newPrefix)`
`void`
`setSeparator(String newSeparator)`
`void`
`setSuffix(String newSuffix)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getComponents

public org.eclipse.emf.common.util.EList<DataPointComponent> getComponents()

Specified by:
  `getComponents` in interface `DataPoint`
Returns:
  the value of the 'Components' containment reference list.
See Also:
  - `AttributePackage.getDataPoint_Components()`

### getPrefix

public String getPrefix()

Specified by:
  `getPrefix` in interface `DataPoint`
Returns:
  the value of the 'Prefix' attribute.
See Also:
  - `DataPoint.setPrefix(String)`
  - `AttributePackage.getDataPoint_Prefix()`

### setPrefix

public void setPrefix(String newPrefix)

Specified by:
  `setPrefix` in interface `DataPoint`
Parameters:
  `newPrefix` - the new value of the 'Prefix' attribute.
See Also:
  - `DataPoint.getPrefix()`

### getSuffix

public String getSuffix()

Specified by:
  `getSuffix` in interface `DataPoint`
Returns:
  the value of the 'Suffix' attribute.
See Also:
  - `DataPoint.setSuffix(String)`
  - `AttributePackage.getDataPoint_Suffix()`

### setSuffix

public void setSuffix(String newSuffix)

Specified by:
  `setSuffix` in interface `DataPoint`
Parameters:
  `newSuffix` - the new value of the 'Suffix' attribute.
See Also:
  - `DataPoint.getSuffix()`

### getSeparator

public String getSeparator()

Specified by:
  `getSeparator` in interface `DataPoint`
Returns:
  the value of the 'Separator' attribute.
See Also:
  - `DataPoint.setSeparator(String)`
  - `AttributePackage.getDataPoint_Separator()`

### setSeparator

public void setSeparator(String newSeparator)

Specified by:
  `setSeparator` in interface `DataPoint`
Parameters:
  `newSeparator` - the new value of the 'Separator' attribute.
See Also:
  - `DataPoint.getSeparator()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final DataPoint create(String sPrefix, String sSuffix, String sSeparator)
A convenience methods provided to create an initialized DataPoint instance NOTE: Manually written

Parameters:
  `sPrefix` -
  `sSuffix` -
  `sSeparator` -
Returns:
  instance of data point.

### createDefault

public static final DataPoint createDefault()

### copyInstance

public DataPoint copyInstance()

Specified by:
  `copyInstance` in interface `DataPoint`
Specified by:
  `copyInstance` in interface `IChartObject`